Bug 171268 - Review Request: kdissert
Review Request: kdissert
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://freehackers.org/~tnagy/kdissert/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-20 02:49 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-29 12:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec changes (1.41 KB, patch)
2005-10-20 04:00 EDT, Adrian Reber
no flags Details | Diff

  None (edit)
Description Konstantin Ryabitsev 2005-10-20 02:49:37 EDT
Spec Name or Url: http://linux.duke.edu/~icon/misc/fe/kdissert.spec
SRPM Name or Url: http://linux.duke.edu/~icon/misc/fe/kdissert-1.0.5-0.1.fc4.src.rpm
Description: 
kdissert is a mindmapping-like tool to help students to produce complicated 
documents very quickly and efficiently : presentations, dissertations, 
thesis, reports, etc. The concept is innovative : mindmaps produced using 
kdissert are processed to output near-ready-to-use documents. While 
targetted mostly at students, kdissert can also help teachers, decision 
makers, engineers and businessmen.
Comment 1 Adrian Reber 2005-10-20 03:53:06 EDT
Any special reason for installing the .desktop file into the kde sub-directory
of .../applications? I have not seen this in any other FE package. I don't
really care just wanted to know if there is a special reason for this?
Comment 2 Adrian Reber 2005-10-20 04:00:35 EDT
Created attachment 120184 [details]
Spec changes

The icon does not have to be copied to the pixmap directory if it is only for
the menu entry. To see the icon I have added the gtk-update-icon-cache to the
scripts and as the desktop file has a mime type entry the desktop database is
also updated in the scriptlets.
Comment 3 Adrian Reber 2005-10-20 04:02:00 EDT
I just saw that the patch has to be applied with -R. Sorry.
Comment 4 Konstantin Ryabitsev 2005-10-20 12:47:03 EDT
Hi, Adrian:

The .desktop file is where the upstream installs it. I've checked with the stuff
in core, and there's quite a few KDE-related .desktop files in the kde subdir or
applications, so it seems it's a common thing. It doesn't interfere with the way
the application works, so I have left the way it is.

Thanks for the patch, it's been applied. See:
http://linux.duke.edu/~icon/misc/fe/kdissert.spec
http://linux.duke.edu/~icon/misc/fe/kdissert-1.0.5-0.2.fc4.src.rpm
Comment 5 Adrian Reber 2005-10-21 02:55:12 EDT
rpmlint complains about rpath. Can be removed with

sed -i -e "/env.KDEuse(\"environ rpath\")/d" SConstruct

before calling scons
Comment 6 Konstantin Ryabitsev 2005-10-21 23:54:00 EDT
Nice. Done!

Same place: http://linux.duke.edu/~icon/misc/fe/
Comment 7 Adrian Reber 2005-10-24 03:13:12 EDT
md5sum of the tarball in the SRPM and the upstream tarball do not match.
According to diff the content seems to be same.

md5sum downloaded:
18ff5d04d633cf3b4e3fbf869c18dd2f  kdissert-1.0.5.tar.bz2

md5sum from SRPM:
c0a4ff4de929bfcc9bf80f7f58c5b4fe  kdissert-1.0.5.tar.bz2

Could you make a new version of the SRPM with the new tarball?
Comment 8 Konstantin Ryabitsev 2005-10-24 12:15:27 EDT
Hmm... This is odd. I recall distinctly checking the md5sum of the tarball
before packaging it. It's on my packaging checklist. I'll email the maintainers
to see what's up.
Comment 9 Konstantin Ryabitsev 2005-10-24 14:08:16 EDT
From the author:

--
Checksum should be 18ff5d04d633cf3b4e3fbf869c18dd2f

There was a mistake in the archive (documentation
installation) so the tarball was updated some time
after.
--

I've updated the SRPM to contain the matching tarball. See:
http://linux.duke.edu/~icon/misc/fe/
Comment 10 Adrian Reber 2005-10-25 04:51:29 EDT
- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

$ rpm -ql kdissert | grep la$
/usr/lib/kde3/libkdissOOOdoc.la
/usr/lib/kde3/libkdissOOOimpress.la
/usr/lib/kde3/libkdissapplet.la
/usr/lib/kde3/libkdissasciidoc.la
/usr/lib/kde3/libkdissbeamerslides.la
/usr/lib/kde3/libkdisshtmldoc.la
/usr/lib/kde3/libkdisspdflatexarticle.la
/usr/lib/kde3/libkdisspdflatexbook.la
/usr/lib/kde3/libkdissprosperslides.la
/usr/lib/kde3/libkdissstx.la

Seeing the .la discussions all the time you should probably remove these files.
Comment 11 Konstantin Ryabitsev 2005-10-25 10:02:56 EDT
It doesn't work without them. Try it. When .la files are removed, exporting
tools break.
Comment 12 Konstantin Ryabitsev 2005-10-25 16:58:42 EDT
Yes, after further investigation, making it not require .la files for exporting
plugins would require patching and be generally counter-productive, since it
would diverge from upstream. I think the opposition to .la files is only when
they are included as part of -devel packages (and thus never used), not when
they are required for program functioning during runtime.
Comment 13 Adrian Reber 2005-10-26 01:14:23 EDT
* rpmlint is happy
* builds in mock
* clean installation and removal
* spec looks good
* scripts are sane
* works as expected
* source matches upstream

* the .la files are required during runtime and therefore no blocker

APPROVED
Comment 14 Warren Togami 2005-10-28 12:17:15 EDT
> It doesn't work without them. Try it. When .la files are removed, exporting
> tools break.

Is this true of FC5 too?
Comment 15 Konstantin Ryabitsev 2005-10-28 12:35:42 EDT
I'm pretty sure. I've tried playing around to patch the requirement for .la
files out, but opening .so files didn't work, potentially because of a bug in
KDE (i.e. when you tell it to dlopen "libfoo", it will look for libfoo.la, and
ignore libfoo.so. If you specifically instruct to open "libfoo.so", it will fail
because it will tell that "init_libfoo.so not found", though it should have been
trying to find "init_libfoo" in the .so file as well. It's possible that I'm
just dumb. I'm not a C++/KDE programmer).
Comment 16 Konstantin Ryabitsev 2005-10-29 12:19:49 EDT
Thanks, Adrian!

Note You need to log in before you can comment on or make changes to this bug.